Bug 483575 - Review Request: dissy - Graphical frontend to the objdump disassembler
Review Request: dissy - Graphical frontend to the objdump disassembler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 09:53 EST by Lubomir Rintel
Modified: 2009-02-06 05:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 05:43:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-02-02 09:53:49 EST
SPEC: http://v3.sk/~lkundrak/SPECS/dissy.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/dissy-8-1.el5.src.rpm

Description:

Dissy is a graphical frontend to the objdump disassembler, it can be used
for debugging and browsing compiler-generated code.
Comment 1 Lubomir Rintel 2009-02-02 10:13:20 EST
Files don't contain licensing information, only the COPYING file with text of GPLv2 is included. Upstream was contacted.
Comment 2 Parag AN(पराग) 2009-02-02 12:04:54 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1099565
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
2e48d6fec7c02c0e62a568a7e56ea374  dissy-8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

Suggestion:
1) You still need following
%if 0%{?fedora} > 8
%{python_sitelib}/*.egg-info
%endif

I will say drop this if-endif as F8 is EOL. and let there be only egg-info line.

2) Add correct BR:python-setuptools-devel for egg-info as per given at https://fedoraproject.org/wiki/Packaging/Python/Eggs

APPROVED.
Comment 3 Parag AN(पराग) 2009-02-03 02:24:06 EST
I see Close button in About window not working.
Comment 4 Parag AN(पराग) 2009-02-05 08:12:25 EST
ping? Can you request cvs now?
Comment 5 Lubomir Rintel 2009-02-05 11:26:40 EST
New Package CVS Request
=======================
Package Name: dissy
Short Description: Graphical frontend to the objdump disassembler
Owners: lkundrak
Branches: EL-5

(In reply to comment #3)
> I see Close button in About window not working.

Thanks for noticing it. I have a fix, it will be applied upon import.
Comment 6 Kevin Fenzi 2009-02-05 22:12:23 EST
cvs done.
Comment 7 Lubomir Rintel 2009-02-06 05:43:01 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.